summaryrefslogtreecommitdiffstats
path: root/network/amsn
diff options
context:
space:
mode:
Diffstat (limited to 'network/amsn')
-rw-r--r--network/amsn/amsn.SlackBuild15
-rw-r--r--network/amsn/amsn.info6
2 files changed, 14 insertions, 7 deletions
diff --git a/network/amsn/amsn.SlackBuild b/network/amsn/amsn.SlackBuild
index d57cfdd631..32b685d0a0 100644
--- a/network/amsn/amsn.SlackBuild
+++ b/network/amsn/amsn.SlackBuild
@@ -19,10 +19,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -37,13 +40,13 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
|| exit 1
make || exit 1
-make install DESTDIR=$PKG \
- || exit 1
+make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -58,9 +61,11 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/amsn/amsn.info b/network/amsn/amsn.info
index 1583c5cfe4..aa43e2bce2 100644
--- a/network/amsn/amsn.info
+++ b/network/amsn/amsn.info
@@ -2,7 +2,9 @@ PRGNAM="amsn"
VERSION="0.97.2"
HOMEPAGE="http://amsn-project.net/"
DOWNLOAD="http://downloads.sourceforge.net/amsn/amsn-0.97.2.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="6c494d97b5ab810f1b265ef19bf652b0"
-MAINTAINER="Niklas 'Nille' Åkerström"
+MD5SUM_x86_64=""
+MAINTAINER="Niklas 'Nille' �kerstr�m"
EMAIL="nille.kungen [at] gmail dot com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero" \ No newline at end of file